#!/bin/sh
echo
Mpbbs=mail2bbs
if [ -e ./uninstall.dat ]; then
  cat ./uninstall.dat >> ./uninstall.dat.old
fi
echo "#" `date` > ./uninstall.dat

cat ./$Mpbbs.conf | while read var data; do
  if [ $var = bindir ]; then
    bindir=$data
    if ! [ -e $bindir ]; then
      mkdir -p --verbose $bindir
      if [ -e ./$Mpbbs ]; then
        cp -fv ./$Mpbbs $bindir/$Mpbbs
        echo rm -fv $bindir/$Mpbbs >>./uninstall.dat
      fi
      if [ -e ./createbid ]; then
        cp -fv ./createbid $bindir/createbid
        echo rm -fv $bindir/createbid >>./uninstall.dat
      fi
      if [ -e ./linkimports ]; then
        cp -fv ./linkimports $bindir/linkimports
        echo rm -fv $bindir/linkimports >>./uninstall.dat
      fi
      echo rmdir --verbose $bindir >>./uninstall.dat
    else
      if [ -e ./$Mpbbs ]; then
        cp -fv ./$Mpbbs $bindir/$Mpbbs
        echo rm -fv $bindir/$Mpbbs >>./uninstall.dat
      fi
      if [ -e ./createbid ]; then
        cp -fv ./createbid $bindir/createbid
        echo rm -fv $bindir/createbid >>./uninstall.dat
      fi
      if [ -e ./linkimports ]; then
        cp -fv ./linkimports $bindir/linkimports
        echo rm -fv $bindir/linkimports >>./uninstall.dat
      fi
    fi
  fi
  if [ $var = import_file ]; then
    import_file=$data
  fi
  spooldir=${import_file%/*}
    if ! [ -e $spooldir ]; then
      mkdir -p --verbose $spooldir
      echo rm -fv $import_file >>./uninstall.dat
      echo rmdir --verbose $spooldir >>./uninstall.dat
    fi
  if [ $var = import_file_lock ]; then
    import_file_lock=$data
  fi
  if [ $var = haddress ]; then
    haddress=$data
  fi
  if [ $var = rlinecomments ]; then
    rlinecomments=$data
  fi
done
if ! [ -e /usr/local/etc/ax25 ] && [ -e /etc/ax25 ];then
  homedir=/etc/ax25
else
  homedir=/usr/local/etc/ax25
fi
if ! [ -e $homedir ]; then
  mkdir -p --verbose $homedir
  if [ -e ./$Mpbbs.conf ]; then
    cp -fv ./$Mpbbs.conf $homedir/$Mpbbs.conf
    echo rm -fv $homedir/$Mpbbs.conf >>./uninstall.dat
  fi
  if [ -e ./translate.from ]; then
    cp -fv ./translate.from $homedir/translate.from
    echo rm -fv $homedir/translate.from >>./uninstall.dat
  fi
  echo rmdir --verbose $homedir >>./uninstall.dat
else
  if [ -e ./$Mpbbs.conf ]; then
    cp -fv ./$Mpbbs.conf $homedir/$Mpbbs.conf
    echo rm -fv $homedir/$Mpbbs.conf >>./uninstall.dat
  fi
  if [ -e ./translate.from ]; then
    cp -fv ./translate.from $homedir/translate.from
    echo rm -fv $homedir/translate.from >>./uninstall.dat
  fi
fi

if ! [ -e /etc/sendmail.cf.original.ko6ri ] && [ -e /etc/sendmail.cf ]; then
  cp -fv /etc/sendmail.cf /etc/sendmail.cf.original.ko6ri
fi
if [ -e /etc/sendmail.cf ]; then
  cp -fv /etc/sendmail.cf ./sendmail.cf.tmp
fi
if [ -e /etc/mail ]; then
  if ! [ -e /etc/mail/relay-domains.original.ko6ri ] && [ -e /etc/mail/relay-domains ]; then
    cp -fv /etc/mail/relay-domains /etc/mail/relay-domains.original.ko6ri
  fi
  if [ -e /etc/mail/relay-domains ]; then
    cp -fv /etc/mail/relay-domains ./relay-domains.tmp
  fi
fi
if ! [ -e ./sendmail.cf.tmp ]; then
  echo The ./sendmail.cf.tmp file is missing.... exiting
  echo "echo" >> ./uninstall.dat
  exit
fi
./setup_cf $bindir $Mpbbs

if [ -e ./sendmail.cf.new ]; then
  cp -fv ./sendmail.cf.new /etc/sendmail.cf
else
  echo The ./sendmail.cf.new file is missing.... exiting
  echo "echo" >> ./uninstall.dat
  exit
fi
if [ -e /etc/mail ]; then
  if [ -e ./relay-domains.new ]; then
    cp -fv ./relay-domains.new /etc/mail/relay-domains
  else
    echo The ./relay-domains.new file is missing.... exiting
    echo "echo" >> ./uninstall.dat
    exit
  fi
fi
echo
